## nova 15.1.5

=== debian/changelog ===
nova (2:15.1.5-0ubuntu1~cloud6) xenial-ocata; urgency=medium

  * d/control: Ensure that oslo.middleware dependency version is upgraded
    to proper version for ocata (LP: #1830770).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 09 Jun 2020 11:39:22 +0000

nova (2:15.1.5-0ubuntu1~cloud5) xenial-ocata; urgency=medium

  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433-1.patch: implement power_off/power_on for the
      FakeDriver.
    - d/p/CVE-2019-14433-2.patch: fix unshelve notification test
      instability.
    - d/p/CVE-2019-14433-3.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Aug 2019 14:53:46 -0400

nova (2:15.1.5-0ubuntu1~cloud4) xenial-ocata; urgency=medium

  * d/p/pci-do-not-force-remove-allocated-devices.patch: Cherry-picked
    from upstream to prevent forced removal of allocated PCI devices
    (LP: #1633120).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Jul 2019 10:50:29 -0400

nova (2:15.1.5-0ubuntu1~cloud3) xenial-ocata; urgency=medium

  * d/p/(re)fix-disk-size-during-live-migration-with-disk-over-commit.patch:
    Cherry-picked from upstream ocata gerrit reviews to ensure disk size check
    is corectly calculated on the destination host for live migration with
    disk over-commit (LP: #1708572) (LP: #1744079).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Apr 2019 16:06:23 -0400

nova (2:15.1.5-0ubuntu1~cloud1) xenial-ocata; urgency=medium

  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch: Cherry-
    picked from upstream to ensure ceph backend continues to work for upgrades
    from pre-Ocata (LP: #1809454).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Jan 2019 14:47:28 -0500

nova (2:15.1.5-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1806038).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 08:15:20 -0500

nova (2:15.1.3-0ubuntu1~cloud1) xenial-ocata; urgency=medium

  * d/control: Drop circular dependencies. nova-compute depends on
    nova-compute-* packages. nova-compute-* packages shouldn't depend
    on nova-compute. nova-compute-* should however depend on nova-common.
    (LP: #1761140).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jun 2018 10:53:25 -0400

nova (2:15.1.3-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1778729).
  * d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Cherry-picked from
    upstream stable/pike gerrit review to fix failing unit test (LP: #1765122).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 16:45:08 -0400

nova (2:15.1.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1747066).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Feb 2018 15:36:14 -0500

nova (2:15.0.8-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 04 Dec 2017 23:27:34 +0000

nova (2:15.0.8-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1736149).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Dec 2017 10:06:44 -0500

nova (2:15.0.7-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1718730).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:25:17 -0400

nova (2:15.0.6-0ubuntu1.1) zesty; urgency=medium

  * d/nova-common.postinst: Don't sync database if connection is not defined
    in /etc/nova/nova.conf (LP: #1713059).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 29 Aug 2017 15:40:07 -0300

nova (2:15.0.6-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1706297).
  * d/p/aarch64-libvirt-compat.patch: Compatibility shim to resolve
    issues on aarch64 architecture (LP: #1697610).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 16:39:30 +0100

nova (2:15.0.5-0ubuntu1) zesty; urgency=medium

  * New upstream stable release for OpenStack Ocata (LP: #1696139).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 16:01:24 +0100
