=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)
export PBR_VERSION=$(VERSION)
SHELL := /bin/sh -e


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python2,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .testrepository

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_install:
	# Fix any api sample template files with broken permissions
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/nova/nova-policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/nova/nova-config-generator.conf
	$(SHELL) debian/setup-nova-config.sh $(CURDIR)/debian/nova-conf.dist $(CURDIR)/etc/nova/nova.conf.sample
	cp etc/nova/nova.conf.sample etc/nova/nova.conf
	find $(CURDIR)/debian/tmp -name *.tpl -exec chmod a-x {} \;
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf

	# Work around to start nova-compute daemons while running autopkgtest.
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/etc/nova/nova.conf placement os_region_name openstack

	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	find $(CURDIR)/debian -name ".gitignore" -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers -Xnova_tgt.conf

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_PATH=./nova/tests/unit ostestr
endif
