## nova 16.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
keystonemiddleware>=4.12.0 # Apache-2.0
lxml!=3.7.0,>=2.3 # BSD
Routes>=2.3.1 # MIT
cryptography!=2.0,>=1.6 # BSD/Apache-2.0
WebOb>=1.7.1 # MIT
greenlet>=0.3.2 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
PrettyTable<0.8,>=0.7.1 # BSD
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.0 # LGPLv2.1+
Babel!=2.4.0,>=2.3.4 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-cinderclient>=3.1.0 # Apache-2.0
keystoneauth1>=3.1.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
websockify>=0.8.0 # LGPLv3
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.privsep!=1.17.0,>=1.9.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.17.0 # Apache-2.0
os-brick>=1.15.2 # Apache-2.0
os-traits>=0.3.1 # Apache-2.0
os-vif>=1.7.0 # Apache-2.0
os-win>=2.0.0 # Apache-2.0
castellan>=0.7.0 # Apache-2.0
microversion-parse>=0.1.2 # Apache-2.0
os-xenapi>=0.2.0 # Apache-2.0
tooz>=1.47.0 # Apache-2.0
cursive>=0.1.2 # Apache-2.0
pypowervm>=1.1.6 # Apache-2.0
