=== debian/changelog ===
nova (2:16.0.1-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1719728).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Sep 2017 09:59:14 -0400

nova (2:16.0.0-0ubuntu2) artful; urgency=medium

  * d/p/qemu-2.10-compat.patch: Compatibility patch to resolve issues
    with qemu-img info calls on running instances, which blocks live
    migration of instances among other things (LP: #1718133).

 -- James Page <james.page@ubuntu.com>  Wed, 20 Sep 2017 18:12:27 +0100

nova (2:16.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 14:55:07 +0100

nova (2:16.0.0~rc2-0ubuntu3) artful; urgency=medium

  * d/tests/nova-daemons: Run db sync prior to testing services are running.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 16:36:46 -0400

nova (2:16.0.0~rc2-0ubuntu2) artful; urgency=medium

  * d/nova-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 11:12:46 -0400

nova (2:16.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Aug 2017 08:22:28 -0400

nova (2:16.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.
  * d/p/skip-ssl-tests.patch: Skip SSL tests that are timing out.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 21:55:53 -0400

nova (2:16.0.0~b3-0ubuntu3) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:50 -0400

nova (2:16.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/p/skip-test.patch: Skip test_validate_volume_no_mtab_entry as it
    depends on /etc/mtab which isn't available in LP builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Aug 2017 12:12:04 -0400

nova (2:16.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/aarch64-libvirt-compat.patch: Rebased.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/rules: Set PYTHONPATH for nova import when running sphinx.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 14:49:40 -0400

nova (2:16.0.0~b2-0ubuntu2) artful; urgency=medium

  * d/tests/*: Drop nova-cert from DEP-8 tests.
  * d/p/aarch64-libvirt-compat.patch: Compatibility shim to resolve
    issues on aarch64 architecture (LP: #1697610).

 -- James Page <james.page@ubuntu.com>  Thu, 27 Jul 2017 13:29:38 +0100

nova (2:16.0.0~b2-0ubuntu1) artful; urgency=medium

  * d/p/drop-iscsi-test.patch: Drop, included upstream.
  * d/control: Add python-pypowervm to (Build-)Depends.
  * d/*: wrap-and-sort.
  * d/python-nova.install: Install WSGI entry points for API and
    Metadata services.
  * d/nova-cert.*,control: Drop nova-cert package, removed post
    deprecation upstream.
  * d/control: Add python-os-traits to (Build-)Depends.
  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 16:48:51 +0100

nova (2:16.0.0~b1-0ubuntu4) artful; urgency=medium

  * Resolve autopkgtest failures:
    - d/rules: Set sane default for state_path in nova.conf.
    - d/rules: Set sane default for nova api database connection.
    - d/nova-common.postinst: Sync Nova API database and fix permissions
      if configured with sqlite.

 -- James Page <james.page@ubuntu.com>  Tue, 02 May 2017 21:35:01 -0400

nova (2:16.0.0~b1-0ubuntu3) artful; urgency=medium

  * d/p/drop-iscsi-test.patch: Cherry pick fix for compat with os-brick
    1.12.0.
  * d/rules,control: Switch to crudini to set defaults for nova.conf.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 15:50:08 +0100

nova (2:16.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 09:58:52 +0100

nova (2:16.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/pydist-override: Remove dead dependencies.
  * d/README.Debian: Remove outdated information.
  * d/debian/xen-openvswitch-nova.rules: Dropped no longer installed anywhere.
  * d/control: Add python-tooz
  * d/rules, d/nova-conf.dist, d/setup-nova-config.sh:
    - Remove deprecated configuration options.
    - Simplify /etc/nova/nova.conf file generation.
  * d/control: Add python-cursive as dependency.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 17:11:59 +0100
