=== debian/control ===
--- 
+++ 
@@ -12,66 +12,68 @@
                dh-systemd,
                openstack-pkg-tools (>= 37ubuntu3~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools (>= 16.0),
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: bandit,
+                     crudini,
                      genisoimage,
                      openssh-client,
                      python-babel (>= 2.3.4),
                      python-barbicanclient (>= 4.0.0),
-                     python-castellan (>= 0.4.0),
-                     python-cinderclient (>= 1:1.6.0),
+                     python-castellan (>= 0.7.0),
+                     python-cinderclient (>= 1:3.1.0),
                      python-coverage (>= 4.0),
-                     python-cryptography (>= 1.0),
+                     python-cryptography (>= 1.6),
+                     python-cursive (>= 0.1.1),
                      python-ddt (>= 1.0.1),
                      python-decorator (>= 3.4.0),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
-                     python-gabbi (>= 1.26.1),
-                     python-glanceclient (>= 1:2.5.0),
+                     python-gabbi (>= 1.35.0),
+                     python-glanceclient (>= 1:2.8.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.0),
-                     python-ironicclient (>= 1.10.0),
+                     python-ironicclient (>= 1.14.0),
                      python-iso8601 (>= 0.1.11),
                      python-jinja2 (>= 2.8),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystonemiddleware (>= 4.12.0),
                      python-lxml (>= 2.3),
                      python-microversion-parse (>= 0.1.2),
-                     python-migrate (>= 0.9.6),
+                     python-migrate (>= 0.11.0),
                      python-mock (>= 2.0),
                      python-mox3 (>= 0.7.0),
                      python-netaddr (>= 0.7.13),
                      python-netifaces (>= 0.10.4),
-                     python-neutronclient (>= 1:5.1.0),
-                     python-openstackdocstheme (>= 1.5.0),
+                     python-neutronclient (>= 1:6.3.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-api-ref (>= 1.0.0),
-                     python-os-brick (>= 1.8.0),
+                     python-os-brick (>= 1.15.2),
                      python-os-testr (>= 0.8.0),
+                     python-os-traits (>= 0.3.1),
                      python-os-vif (>= 1.4.0),
-                     python-os-win (>= 1.4.0),
-                     python-os-xenapi (>= 0.1.1),
+                     python-os-win (>= 2.0.0),
+                     python-os-xenapi (>= 0.2.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.15.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.23.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.privsep (>= 1.9.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslo.versionedobjects (>= 1.17.0),
                      python-oslo.vmware (>= 2.15.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-paramiko (>= 2.0),
@@ -79,26 +81,28 @@
                      python-pastedeploy (>= 1.5.0),
                      python-pep8,
                      python-prettytable (>= 0.7.1),
-                     python-psutil (>= 1.2.1),
+                     python-psutil (>= 3.2.2),
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
-                     python-requests (>= 2.10.0),
+                     python-pypowervm (>= 1.1.6),
+                     python-requests (>= 2.14.2),
                      python-requests-mock (>= 1.1),
                      python-rfc3986 (>= 0.3.1),
-                     python-routes (>= 1.12.3),
+                     python-routes (>= 2.3.1),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest-lib (>= 0.14.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:14.0.0),
                      python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
+                     python-tooz (>= 1.47.0),
+                     python-webob (>= 1.7.1),
                      python-websockify (>= 0.8.0),
                      python-wsgi-intercept (>= 1.4.1),
 Build-Conflicts: python-cjson,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://launchpad.net/nova
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
@@ -111,61 +115,65 @@
 Depends: openssh-client,
          openssl,
          python-babel (>= 2.3.4),
-         python-castellan (>= 0.4.0),
-         python-cinderclient (>= 1:1.6.0),
-         python-cryptography (>= 1.0),
+         python-castellan (>= 0.7.0),
+         python-cinderclient (>= 1:3.1.0),
+         python-cryptography (>= 1.6),
+         python-cursive (>= 0.1.1),
          python-decorator (>= 3.4.0),
          python-eventlet (>= 0.18.2),
-         python-glanceclient (>= 1:2.5.0),
+         python-glanceclient (>= 1:2.8.0),
          python-greenlet (>= 0.3.2),
          python-iso8601 (>= 0.1.11),
          python-jinja2 (>= 2.8),
          python-jsonschema (>= 2.0.0),
-         python-keystoneauth1 (>= 2.14.0),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystonemiddleware (>= 4.2.0),
          python-lxml (>= 2.3),
          python-microversion-parse (>= 0.1.2),
-         python-migrate (>= 0.9.6),
+         python-migrate (>= 0.11.0),
          python-netaddr (>= 0.7.13),
          python-netifaces (>= 0.10.4),
-         python-neutronclient (>= 4.2.0),
-         python-os-brick (>= 1.8.0),
-         python-os-vif (>= 1.3.0),
-         python-os-win (>= 1.1.0),
-         python-os-xenapi,
+         python-neutronclient (>= 1:6.3.0),
+         python-os-brick (>= 1.15.2),
+         python-os-traits (>= 0.3.1),
+         python-os-vif (>= 1.4.0),
+         python-os-win (>= 2.0.0),
+         python-os-xenapi (>= 0.2.0),
          python-oslo.cache (>= 1.5.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.11.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.23.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.privsep (>= 1.9.0),
          python-oslo.reports (>= 0.6.0),
          python-oslo.rootwrap (>= 2.0.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-oslo.versionedobjects (>= 1.17.0),
          python-osprofiler,
          python-paramiko (>= 1.16.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
          python-prettytable (>= 0.7.1),
-         python-psutil (>= 1.1.1),
+         python-psutil (>= 3.2.2),
          python-pymysql,
-         python-requests (>= 2.10.0),
+         python-pypowervm (>= 1.1.6),
+         python-requests (>= 2.14.2),
          python-rfc3986 (>= 0.2.0),
-         python-routes (>= 1.12.3),
+         python-routes (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.16.0),
-         python-webob (>= 1.6.0),
-         ${misc:Depends},
-         ${python:Depends}
+         python-stevedore (>= 1.20.0),
+         python-tooz (>= 1.47.0),
+         python-webob (>= 1.7.1),
+         ${misc:Depends},
+         ${python:Depends},
 Suggests: python-ldap,
 Conflicts: python-cjson,
 XB-Python-Version: ${python:Versions}
@@ -192,9 +200,9 @@
 Depends: adduser,
          python-nova (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Provides: ${python:Provides},
-Recommends: python-glanceclient,
+Recommends: python-glanceclient (>= 1:2.8.0),
             python-keystone,
 Description: OpenStack Compute - common files
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -219,7 +227,7 @@
          nova-common (= ${binary:Version}),
          nova-compute-kvm | nova-compute-hypervisor,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Compute - compute node base
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -246,14 +254,14 @@
          iptables,
          kpartx,
          libvirt-bin,
-         nova-common (= ${binary:Version}),
+         nova-compute (= ${binary:Version}),
          open-iscsi,
          parted,
          python-libvirt,
          qemu-utils,
          vlan,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Suggests: guestmount,
           multipath-tools,
           rsync,
@@ -279,9 +287,3 @@
 
 Package: nova-compute-lxc
 Architecture: all
-Depends: nova-compute-libvirt (= ${binary:Version}), ${misc:Depends}
-Provides: nova-compute-hypervisor,
-Conflicts: nova-compute-hypervisor,
-Description: OpenStack Compute - compute node (LXC)
- OpenStack is a reliable cloud infrastructure. Its mission is to produce
- the ubiquitous cloud computing platform that will meet the needs of public
