## nova 16.1.2

=== debian/changelog ===
nova (2:16.1.2-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1763320).
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 May 2018 09:41:19 -0400

nova (2:16.1.0-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * Add Depends nova-compute-kvm -> ipxe-qemu to ensure that required
    ROM's are installed for all architectures (LP: #1754015).

  [ Corey Bryant ]
  * New stable point release for OpenStack Pike (LP: #1758046).
  * d/p/aarch64-libvirt-compat.patch: Rebased and updated to mock
    os.path.exists return value to true in order to simulate
    _has_uefi_support returning true (LP: #1758060).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:44:37 -0400

nova (2:16.0.4-0ubuntu1) artful; urgency=medium

  * New upstream version.
  * d/p/skip-test.patch: Dropped. Fixed in new upstream version.
  * d/p/*: Rebased.
  * New stable point release for OpenStack Pike (LP: #1747065).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Feb 2018 15:26:25 -0500

nova (2:16.0.3-0ubuntu1) artful; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/pike branch.
  * New upstream version.
  * d/p/*: Rebased.

  [ James Page ]
  * d/p/qemu-2.10-compat.patch: Drop, fix included upstream.

  [ Corey Bryant ]
  * New stable point release for OpenStack Pike (LP: #1734990).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Nov 2017 14:55:36 -0500
