## nova 16.1.7

=== debian/changelog ===
nova (2:16.1.7-0ubuntu1~cloud3) xenial-pike; urgency=medium

  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433-1.patch: implement power_off/power_on for the
      FakeDriver.
    - d/p/CVE-2019-14433-2.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Aug 2019 13:51:46 -0400

nova (2:16.1.7-0ubuntu1~cloud2) xenial-pike; urgency=medium

  * d/p/(re)fix-disk-size-during-live-migration-with-disk-over-commit.patch:
    Cherry-picked from upstream stable/pike branch to ensure disk size check
    is corectly calculated on the destination host for live migration with
    disk over-commit (LP: #1708572) (LP: #1744079).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Apr 2019 15:54:14 -0400

nova (2:16.1.7-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1818070)

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@gmail.com>  Mon, 11 Mar 2019 10:08:35 +0100

nova (2:16.1.6-0ubuntu1~cloud1) xenial-pike; urgency=medium

  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch: Cherry-
    picked from upstream to ensure ceph backend continues to work for upgrades
    from pre-Ocata (LP: #1809454).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Jan 2019 14:40:07 -0500

nova (2:16.1.6-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1806041).
  * d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Dropped. Fixed in
    stable point release.
  * d/p/revert-stestr.patch: Revert upstream backport that switched to using
    stestr (LP: #1806079).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 10:10:42 -0500

nova (2:16.1.4-0ubuntu1~cloud1) xenial-pike; urgency=medium

  * d/control: Drop circular dependencies. nova-compute depends on
    nova-compute-* packages. nova-compute-* packages shouldn't depend
    on nova-compute. nova-compute-* should however depend on nova-common.
    (LP: #1761140).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jun 2018 10:51:41 -0400

nova (2:16.1.4-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1778739).
  * d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Cherry-picked from
    upstream stable/pike gerrit review to fix failing unit test (LP: #1765122).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 14:24:39 -0400

nova (2:16.1.2-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 03 May 2018 22:26:57 +0000
