=== debian/control ===
--- 
+++ 
@@ -254,7 +254,7 @@
          iptables,
          kpartx,
          libvirt-bin,
-         nova-compute (= ${binary:Version}),
+         nova-common (= ${binary:Version}),
          open-iscsi,
          parted,
          python-libvirt,
